Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMSequence

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMContentModel
                  |
                  +--com.jxml.quick.model.qjml.QMSequence

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QMSelection

public class QMSequence
extends QMContentModel

Models a sequence element in QJML. The contentModel elements held by a sequence element define a series of content sub-models within the element content of another element.

    DTD:

    <!ELEMENT sequence (rem*,
                (aref|id|identity|ignore|field|property|accessClass)?,
                (item|selection|sequence)+)>

    <!ATTLIST sequence
        label CDATA #IMPLIED
        cref CDATA #IMPLIED
        optional CDATA "False"
        repeating CDATA "False"
        ID id #IMPLIED
    >

Field Summary
`ArrayList` | `contentList` A container for the QMContentModel objects (QMItem, QMSequence, and QMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element.

Fields inherited from class com.jxml.quick.model.qjml.QMContentModel
`access, aref, content, cref, enclosingCoin, initialized, label, optional, remList, repeating`

Constructor Summary
`QMSequence()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap, QMCoin myCoin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`protected void` | `cminit(Map coinMap, Map contentMap)`
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMContentModel
`accessInit`

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentList

    public ArrayList contentList

  A container for the QMContentModel objects (QMItem, QMSequence, and QMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element.

Constructor Detail

### QMSequence

    public QMSequence()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QMContentModel`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMContentModel`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QMCoin myCoin)
                   throws SAXException

  Description copied from class: `QMContentModel`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QMContentModel`

### cminit

    protected void cminit(Map coinMap,
                          Map contentMap)
                   throws SAXException

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QMContentModel`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QMContentModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD